'******************************************************************************
'  ENC28J60 specific routines
'******************************************************************************

'*******************************************************************************
'  Pollin NET-IO Board with Atmega32 / 644 / 644P and ENC28J60
'*******************************************************************************
'
'  Copyright bascom-forum.de (C) [2009]  [DON]
'  -> http://bascom-forum.de/index.php?topic=1781.new;topicseen#new
'  Software based on Code by Ben Zijlstra and Viktor Varga
'  Weiterentwickelt von
'    Huetti,
'    Michael
'    boeserkorn
'    mr_energy
'    HansHans
'    six1, Michael Kcher
'    dabuze                            datetime
'    framuel
'
'   http://creativecommons.org/licenses/by-sa/3.0/de/
'
'   Sie drfen:
'
'     * das Werk bzw. den Inhalt vervielfltigen, verbreiten und ffentlich zugnglich machen
'
'     * Abwandlungen und Bearbeitungen des Werkes bzw. Inhaltes anfertigen
'
'   Zu Den Folgenden Bedingungen:
'
'     * Namensnennung.
'       Sie mssen den Namen des Autors/Rechteinhabers in der von ihm festgelegten Weise nennen.
'
'     * Keine kommerzielle Nutzung.
'       Dieses Werk darf nicht fr kommerzielle Zwecke verwendet werden.
'
'     * Weitergabe unter gleichen Bedingungen.
'       Wenn Sie das lizenzierte Werk bzw. den lizenzierten Inhalt bearbeiten
'       oder in anderer Weise erkennbar als Grundlage fr eigenes Schaffen verwenden,
'       drfen Sie die daraufhin neu entstandenen Werke bzw. Inhalte nur
'       unter Verwendung von Lizenzbedingungen weitergeben, die mit denen
'       dieses Lizenzvertrages identisch oder vergleichbar sind.
'
'   Wobei gilt:
'
'     * Verzichtserklrung
'       Jede der vorgenannten Bedingungen kann aufgehoben werden, sofern Sie
'       die ausdrckliche Einwilligung des Rechteinhabers dazu erhalten.
'
'     * Sonstige Rechte
'       Die Lizenz hat keinerlei Einfluss auf die folgenden Rechte:
'          - Die gesetzlichen Schranken des Urheberrechts und sonstigen
'            Befugnisse zur privaten Nutzung
'          - Das Urheberpersnlichkeitsrecht des Rechteinhabers
'          - Rechte anderer Personen, entweder am Lizenzgegenstand selber oder
'            bezglich seiner Verwendung, zum Beispiel Persnlichkeitsrechte abgebildeter Personen.
'
'  Hinweis
'
'      Im Falle einer Verbreitung mssen Sie anderen alle Lizenzbedingungen
'      mitteilen, die fr dieses Werk gelten. Am einfachsten ist es,
'      einen Link auf http://creativecommons.org/licenses/by-sa/3.0/de/ einzubinden.
'

'*******************************************************************************
$nocompile


#if _chip = 23
   Const Chip = "23"
   Const Processor = "Mega32"
   #if I_want_to_flash_fusebits = 1
      $prog &HFF , &HFF , &HD3 , &H00                       '
   #endif
#endif

#if _chip = 37
   Const Chip = "37"
   Const Processor = "Mega644"
   #if I_want_to_flash_fusebits = 1
      $prog &HFF , &HE7 , &HD1 , &HFF
   #endif
#endif
#if _chip = 59
   Const Chip = "59"
   Const Processor = "Mega644P"
   #if I_want_to_flash_fusebits = 1
      $prog &HFF , &HE7 , &HD1 , &HFF
   #endif
#endif
#if _chip = 103
   Const Chip = "103"
   Const Processor = "Mega1284"
   #if I_want_to_flash_fusebits = 1
      $prog &HFF , &HFF , &HD5 , &HFF
   #endif
#endif



#if My_crystal = 1
   $crystal = 16000000
#endif
#if My_crystal = 2
   $crystal = 20000000
#endif

#if My_baudrate = 1
   $baud = 9600
#endif
#if My_baudrate = 2
   $baud = 19200
#endif
#if My_baudrate = 3
   $baud = 38400
#endif
#if My_baudrate = 4
   $baud = 57600
#endif

$lib "datetime.lbx"